import request from '@/utils/request'

// 查询苹果端系统设置列表
export function listIosConfig(query) {
  return request({
    url: '/business/iosConfig/list',
    method: 'get',
    params: query
  })
}

// 查询苹果端系统设置详细
export function getIosConfig(id) {
  return request({
    url: '/business/iosConfig/' + id,
    method: 'get'
  })
}

// 新增苹果端系统设置
export function addIosConfig(data) {
  return request({
    url: '/business/iosConfig',
    method: 'post',
    data: data
  })
}

// 修改苹果端系统设置
export function updateIosConfig(data) {
  return request({
    url: '/business/iosConfig',
    method: 'put',
    data: data
  })
}

// 删除苹果端系统设置
export function delIosConfig(id) {
  return request({
    url: '/business/iosConfig/' + id,
    method: 'delete'
  })
}

// 导出苹果端系统设置
export function exportIosConfig(query) {
  return request({
    url: '/business/iosConfig/export',
    method: 'get',
    params: query
  })
}